#!/bin/sh

# download and package chrome, vivaldi or opera

export TEXTDOMAIN=dl_browser.sh
export OUTPUT_CHARSET=UTF-8

. /etc/rc.d/PUPSTATE

# check deps - ar is on devx
ND_MSG=$(gettext 'ar and bsdtar utilities are missing. Install binutils or devx for the ar utility or libarchive for the bsdtar utility.')
if ! command -v bsdtar 2>&1 >/dev/null; then
	if ! command -v ar 2>&1 >/dev/null; then
		echo '<window title="'$(gettext 'Download a browser - dependencies')'" icon-name="gtk-no">
	<vbox>
	'"`/usr/lib/gtkdialog/xml_info fixed /usr/share/pixmaps/dl_browser.svg 60 "$ND_MSG"`"' 
	  <frame>
	    <hbox homogeneous="true">
			<button ok></button>
		</hbox>
	  </frame>
	</vbox>
</window>'|gtkdialog -s -c && exit
	fi
fi



state=true
MSG3=$(gettext "Choose if you want a pet package or sfs package")
case $PUPMODE in
	2|3|5|77)state=false
			MSG3=$(gettext "Your type of install only supports PET packages");;
esac

arch=`uname -m`

case $arch in
	i?86)CHROME=false # no 32 bit chrome
		VIVALDI=true
		MSG1=$(gettext "There is no 32 bit package for chrome. You can however download latest Vivaldi or Opera and create and install a Puppy package.")
		MSG2=$(gettext "Just hit the Vivaldi or Opera button to install and the download will start");;
	x86_64)CHROME=true
		VIVALDI=true
		MSG1=$(gettext "You can download the latest Chrome, Vivaldi or Opera browser and create and install a Puppy package.")
		MSG2=$(gettext "Just hit the button of the browser you wish to install and the download will start");;
	*)exit;;
esac

SPOT_MSG=$(gettext "All browsers will run as unprivileged user Spot")

if [ "$CHROME" = 'true' ]; then
  CH='<button image-position="top">
			<label>Chrome</label>
			<variable>btnch</variable>
			<input file>/usr/share/pixmaps/chrome.svg</input>
		</button>'
else
  CH=''
fi
VI='<button image-position="top">
			<label>Vivaldi</label>
			<variable>btnvi</variable>
			<input file>/usr/share/pixmaps/vivaldi.svg</input>
		</button>'
OP='<button image-position="top">
			<label>Opera</label>
			<variable>btnop</variable>
			<input file>/usr/share/pixmaps/opera.svg</input>
		</button>'
# main dialog
export DLG='<window title="'$(gettext 'Download a browser')'" icon-name="gtk-preferences">
	<vbox>
	'"`/usr/lib/gtkdialog/xml_info fixed /usr/share/pixmaps/dl_browser.svg 60 "$MSG1"`"' 
	  <frame>
	  <hbox homogeneous="true">
	    <text><label>'"$MSG3"'</label></text>
	  </hbox>
	  <hbox homogeneous="true">
	      <radiobutton>
			<label>PET</label>
			<variable>RADIOBUTTON1</variable>
		  </radiobutton>
	      <radiobutton>
			<label>SFS</label>
			<sensitive>'$state'</sensitive>
			<variable>RADIOBUTTON2</variable>
		  </radiobutton>
	  </hbox>
	  </frame>
	  <frame>
	  <hbox homogeneous="true">
	    <text><label>'"$MSG2"'</label></text>
	  </hbox>
	  <hbox homogeneous="true">  
	      '$CH'
	      '$VI'
	      '$OP'
	  </hbox>
	  </frame>
	  <hbox homogeneous="true">
	    <text use-markup="true">
	      <label>"<span fgcolor='"'darkgreen'"'><i>'"$SPOT_MSG"'</i></span>"</label>
	    </text>
	  </hbox>
	  <hbox>
	    <button cancel></button>
	  </hbox>
	</vbox>
</window>'

. /usr/lib/gtkdialog/xml_info gtk
PKG_TYPE='pet'
eval $(gtkdialog -p DLG)
# package type
if [ "$RADIOBUTTON2" = 'true' ];then
	PKG_TYPE='sfs'
fi
PKG=$EXIT
case $PKG in
	Vivaldi) PKG_TYPE=$PKG_TYPE urxvt -bg green -fg blue --geometry 80x10+1+1 -e install-vivaldi.sh;;
	Chrome) PKG_TYPE=$PKG_TYPE urxvt -bg green -fg blue --geometry 80x10+1+1 -e latest-chrome.sh;;
	Opera) PKG_TYPE=$PKG_TYPE urxvt -bg green -fg blue --geometry 80x10+1+1 -e latest-opera.sh;;
	*)exit;;
esac
FMSG=$(gettext "failed to be generated.")
SMSG=$(gettext "is located in /tmp. You can choose to save it before you shut down your computer.")
# find the package
PACKAGE=`ls /tmp | grep -io "${PKG}.*" | grep  "${PKG_TYPE}$" | tail -1` # tail in case of older pkg
PACKAGE=`ls /tmp | grep "${PACKAGE}"` # chrome
[ -z "$PACKAGE" -o ! -f "/tmp/$PACKAGE" ] &&  gtkdialog-splash -bg orange -close box -timeout 6 \
-text "$PKG $PKG_TYPE $FMSG" && exit 1
gtkdialog-splash -bg green -close box -timeout 10 \
-text "$PACKAGE $SMSG"
# install
case $PACKAGE in 
	*.pet)petget +/tmp/${PACKAGE};;
	*.sfs)sfs_load +/tmp/${PACKAGE};;
esac

# END
